#
# spec file for package obs-service-python_requires
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define service python_requires

Name:           obs-service-%{service}
Version:        0.4.0+git.1503333363.5e37165
Release:        1.14
Summary:        An OBS source service: Refreshs Python Requires
License:        Apache-2.0
Group:          Development/Tools/Building
Url:            https://github.com/openSUSE/obs-service-%{service}
Source:         %{name}-%{version}.tar.gz
#NOTE(saschpe): Any Python will do:
Requires:       python
Requires:       python-metaextract
Requires:       python-packaging
Requires:       quilt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

It refreshes Python Requires from the pypi source tarball

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
install -m 0755 %service %{buildroot}%{_prefix}/lib/obs/service
install -m 0644 %service.service %{buildroot}%{_prefix}/lib/obs/service

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Mon Aug 21 2017 opensuse-packaging@opensuse.org
- Update to version 0.4.0+git.1503333363.5e37165:
  * Fix pre release handling
* Wed Apr 19 2017 tbechtold@suse.com
- Update to version 0.4.0+git.1492605769.6a99826:
  * Refactor: extract get/set contents
  * Make sure get/set contents deal with unicodes
  * Add Python3 compatibility
  * Handle unwanted versions better
  * Revert "Handle unwanted versions better"
  * Slightly reorganize README.md file
  * Do not use versions that are explicit lower
* Wed Aug 31 2016 tbechtold@suse.com
- Update to version 0.4.0+git.1472631531.a3139be:
  * Check for available install,extras and tests require
  * Fix extras parsing for non-marker keys
* Tue Aug 30 2016 tbechtold@suse.com
- Update to version 0.4.0+git.1472556536.a02561a:
  * Fix extras_require handling
* Tue Aug 30 2016 tbechtold@suse.com
- Update to version 0.4.0+git.1472543244.a8de0f5:
  * Use metaextract for dependency extraction
  * Readd the source when printing an error
  * Make flake8 and travis happy
  * Fix tests for python3
- Add python-metaextract as Requires
* Fri Aug 12 2016 tbechtold@suse.com
- Update to version 0.4.0+git.1471017046.7f169e5:
  * Fix marker handling
  * travis: Only test for py27 and py35
- Require python-packaging for marker handling
* Mon Jul  4 2016 rsalevsky@suse.com
- Update to version 0.4.0+git.1467018730.208b927:
  * Set run_requires_source in case the requirement file is missing
* Thu Mar  3 2016 tbechtold@suse.com
- Update to version 0.4.0+git.1457022979.f651609:
  + Use last modified tarball
  + Skip win32 specific requirements
* Thu Oct 15 2015 tbechtold@suse.com
- Update to version 0.4.0+git.1444804976.8d84823:
  + Ignore lines like `-e git://`
* Mon Jul 27 2015 opensuse-packaging@opensuse.org
- Update to version 0.4.0+git.1437980356.f896ecf:
  + Fix exception on unavailable files
* Fri Jul 17 2015 opensuse-packaging@opensuse.org
- Update to version 0.4.0+git.1437126596.ddb1a90:
  + Allow and ignore markers in requirements #2
* Mon Jul  6 2015 opensuse-packaging@opensuse.org
- Update to version 0.4.0+git.1436182533.99f19f9:
  + Fix reading of test requirements
  + Fix various flake8 warnings
  + Allow and ignore markers in requirements
* Wed Apr 29 2015 tbechtold@suse.com
- Update to version 0.4.0+git.1430317421.412ec9d:
  + travis: Also run on python 3
  + Add discover to ignore list
  + Add hacking and qpid-python to ignore list
* Mon Apr  6 2015 tbechtold@suse.com
- Update to version 0.4.0+git.1427879832.07936a7:
  + Run flake8 on travis CI
  + travis: Hopefully fix config
  + Adjust var names in read_from_tarball()
  + Remove func convert_pip_version_to_rpm()
  + Factorize requirements sanitizer
  + Keep track of source of requirement
  + Add and enable basic testsuite
  + Update README and move to README.md
* Tue Mar 17 2015 rhafer@suse.com
- Removed 'v' from Release tag (v0.2.0 -> 0.3.0) to make
  "set_version" source service actually work for this package
* Tue Mar 17 2015 opensuse-packaging@opensuse.org
- Update to version 0.3.0+git.1425307893.878f2fb:
  + Select lowest version if possible
* Fri Feb 20 2015 opensuse-packaging@opensuse.org
- Update to version v0.2.0+git.1424433039.87db986:
  + Prefer requirements-py2.txt over requirements.txt
  + Fix handling of dependencies that start with <=
* Fri Apr 11 2014 dmueller@suse.com
- Update to version v0.1.0+git.1397231427.4144d54:
  + Try harder in converting pip versions to rpm compatible versions
* Fri Apr  4 2014 dmueller@suse.com
- Update to version v0.1.0+git.1394187811.050decf:
  + Don't fail on missing 'requirements.txt'
  + Support scriptlet requirements, i.e. "Requires(.*):"
  + python knows how to get a list from a dict
  + pass is a no-op
  + use context manager instead of try/finally
  + catch ValueError thrown when the file was not found
* Thu Feb 13 2014 dmueller@suse.com
- Update to version +git.1392295181.0e71c33:
  + Cleanup
  + Be service calling compatible
* Thu Feb 13 2014 dmueller@suse.com
- Initial package
